# class FSKModem | A Frequency Shift Keying modem. More...
Full name | `TelEngine::FSKModem`
Definition | `#include <libs/ymodem/yatemodem.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Type { ETSI = 0, TypeCount = 1 }

#### Public Methods

- FSKModem (const NamedList& params, UART* uart)
- ~FSKModem ()
- inline bool terminated () const
- inline int type () const
- void reset ()
- bool demodulate (const DataBlock& data)
- void modulate (DataBlock& dest, const DataBlock& data)

#### Public Static Methods

- static inline void addRaw (DataBlock& dest, void* buf, unsigned int len)

#### Public Members

- static TokenDict s_typeName[]

## Detailed Description

This is a modulator/demodulator class attached to an UART. Used to demodulate bits from frequency modulated signal and send them to an UART

enum Type { ETSI = 0, TypeCount = 1 } | ### Type

Modem type enumeration

FSKModem (const NamedList& params, UART* uart) | ### FSKModem

Constructor

Parameters:

params | Modem parameters (including modemtype)
uart | The UART attached to this modem

~FSKModem () | ### ~FSKModem

Destructor

inline bool terminated () | ### terminated

[const]

Check if this modem is terminated. Need reset if so. The modem can terminate processing on UART's request

Returns: True if this modem is terminated

inline int type () | ### type

[const]

Get the type of this modem

Returns: The modem type

void reset () | ### reset

Reset modem to its initial state

bool demodulate (const DataBlock& data) | ### demodulate

Data processor. Demodulate received data. Feed the UART with received bits

Parameters:

data | The data to process

Returns: False to stop feedding data (terminated)

void modulate (DataBlock& dest, const DataBlock& data) | ### modulate

Create a buffer containing the modulated representation of a message. A data pattern (depending on modem's type) will be added before the message. A mark pattern (2ms long) will be added after the message. Reset the modem before each request to modulate

Parameters:

dest | Destination buffer
data | Message data (each byte will be enclosed in start/stop/parity bits)

inline void addRaw (DataBlock& dest, void* buf, unsigned int len) | ### addRaw

[static]

Append a raw buffer to a data block

Parameters:

dest | Destination buffer
buf | Buffer to append to destination
len | the number of bytes to append starting with buf

static TokenDict s_typeName[] | ### s_typeName[]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.